Groovy Documentation

## org.codehaus.groovy.grails.web.metaclass
[Java] Class AbstractDynamicControllerProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty

    public abstract class AbstractDynamicControllerProperty
    extends AbstractDynamicProperty

An abstract class for dynamic controller properties to implement.

Authors:
  Graeme Rocher

Field Summary
`protected HttpServletRequest` | `request`
`protected HttpServletResponse` | `response`

Constructor Summary
`AbstractDynamicControllerProperty(java.lang.String propertyName, HttpServletRequest request, HttpServletResponse response)`

Method Summary

Methods inherited from class AbstractDynamicProperty
get, getPropertyName, isPropertyMatch, set

Field Detail

### request

    protected HttpServletRequest request

### response

    protected HttpServletResponse response

Constructor Detail

### AbstractDynamicControllerProperty

    public AbstractDynamicControllerProperty(java.lang.String propertyName, HttpServletRequest request, HttpServletResponse response)

Groovy Documentation